Subject: b19: bash incompatible with b18
From: [email-masked] (Russ Pridemore)

26 Jun 1998 03:35:50 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I've been using the gnuwin32 user tools on NT 4.0 for about 9 months and wonder how I ever worked without them.  My
system self-destructed this week, so I downloaded the latest version, but ran into
the following problem...

I use the make utility with my own UNIX-style makefiles on top of MS nmake for development.  With b18's make, I was able
to launch nmake from within my makefiles.  This now appears to be broken.  make -d fails:

Must remake target `all'.
nmake -NOLOGO -f project.mak
Putting child 0x02a84c78 PID 01023 on the chain.
Live child 0x02a84c78 PID 1023
Got a SIGCHLD; 1 unreaped children.
Live child 0x02a84c78 PID 1023
Reaping losing child 0x02a84c78 PID 1023
make: *** [all] Error 2
Removing child 0x02a84c78 PID 1023 from chain.

Running nmake directly from bash has the following result:

The handle could not be opened
during redirection of handle 1.
The handle is invalid.
The handle is invalid.
The handle is invalid.
The handle could not be opened
during redirection of handle 1.

I don't know if this matters, but the nmake is from the MSVC 1.52 (16-bit) compiler.

Thanks,
Russ Pridemore
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".